### Enumeration

# AppStream ScreenshotKind

since: 1.0

#### Declaration

    enum AppStream.ScreenshotKind

#### Description [src]

The screenshot type.

Available since: 1.0

#### Members

`AS_SCREENSHOT_KIND_UNKNOWN`

  Type invalid or not known.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 1.0
`AS_SCREENSHOT_KIND_DEFAULT`

  The primary screenshot to show by default.

  - Value: `1`
  - Nickname: `default`
  - Available since: 1.0
`AS_SCREENSHOT_KIND_EXTRA`

  Optional screenshot.

  - Value: `2`
  - Nickname: `extra`
  - Available since: 1.0

#### Type functions

###### as_screenshot_kind_from_string

Converts the text representation to an enumerated value.

since: 1.0

###### as_screenshot_kind_to_string

Converts the enumerated value to an text representation.

since: 1.0